Part Cylinder/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "* Gdzie parametr {{Incode|"myCylinder"}} jest etykietą dla obiektu. * Funkcja zwraca nowo utworzony obiekt.")
(Updating to match new version of source page)
Line 20: Line 20:
==Opis==
==Opis==


<div class="mw-translate-fuzzy">
Tworzy zwykły walec, z parametrami dotyczącymi jego położenia, kąta, promienia i wysokości.
Tworzy zwykły walec, z parametrami dotyczącymi jego położenia, kąta, promienia i wysokości.
</div>

A Part Cylinder can be turned into a segment of a cylinder by changing its {{PropertyData|Angle}} property.

[[Image:Part_Cylinder_Example.png|400px]]


==Użycie==
==Użycie==


<div class="mw-translate-fuzzy">
# Otwórz środowisko pracy {{Button|[[Image: Workbench_Part.svg|16px]] [[Part_Workbench/pl|Część]]}}.
# Otwórz środowisko pracy {{Button|[[Image: Workbench_Part.svg|16px]] [[Part_Workbench/pl|Część]]}}.
# Istnieje kilka sposobów na wywołanie polecenia:
# Istnieje kilka sposobów na wywołanie polecenia:
#* Naciśnij przycisk {{Button|[[Image:Part_Cylinder.svg|16px]] Walec}} na pasku narzędzi,
#* Naciśnij przycisk {{Button|[[Image:Part_Cylinder.svg|16px]] Walec}} na pasku narzędzi,
#* Użyj pozycji menu głównego {{MenuCommand|Część → Bryła pierwotna → [[Image:Part_Cylinder.svg|16px]] Walec}}.
#* Użyj pozycji menu głównego {{MenuCommand|Część → Bryła pierwotna → [[Image:Part_Cylinder.svg|16px]] Walec}}.
</div>


== Example ==
'''Wynik:'''
Domyślnie jest to pełny walec o promieniu 2mm i wysokości 10mm, wyśrodkowany wzdłuż globalnej osi z i dołączony do globalnej płaszczyzny xy.


[[Image:Part_Cylinder_Scripting_Example.png|thumb|Part Cylinder from the scripting example]]
Właściwości walca mogą być później edytowane w [[Property_editor/pl|edytorze właściwości]] lub przez podwójne kliknięcie stożka w [[Tree_view/pl|widoku drzewa]].


A Part Cylinder object created with the [[#Scripting|scripting example]] below is shown here.
[[File:cylinder.png|650px|walec utworzony przy pomocy narzędzia Utwórz walec]]

== Notes ==

* A Part Cylinder can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.


==Właściwości==
==Właściwości==


See also: [[Property_editor|Property editor]].

A Part Cylinder object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Cylinder}}

<div class="mw-translate-fuzzy">
* {{PropertyData|Kąt}}: Jest to kąt obrotu, który umożliwia utworzenie części walca ''(domyślnie ustawiony jest na 360°)''.
* {{PropertyData|Kąt}}: Jest to kąt obrotu, który umożliwia utworzenie części walca ''(domyślnie ustawiony jest na 360°)''.
* {{PropertyData|Wysokość}}: Wysokość to odległość w kierunku osi z.
* {{PropertyData|Wysokość}}: Wysokość to odległość w kierunku osi z.
Line 43: Line 67:
* {{PropertyData|Kąt pierwszy}}: Kąt w pierwszym kierunku {{Version/pl|0.20}}.
* {{PropertyData|Kąt pierwszy}}: Kąt w pierwszym kierunku {{Version/pl|0.20}}.
* {{PropertyData|Kąt drugi}}: Kąt w drugim kierunku {{Version/pl|0.20}}.
* {{PropertyData|Kąt drugi}}: Kąt w drugim kierunku {{Version/pl|0.20}}.
</div>

{{TitleProperty|Prism}}

* {{PropertyData|First Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}
* {{PropertyData|Second Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}


==Tworzenie skryptów==
==Tworzenie skryptów==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<div class="mw-translate-fuzzy">
Walec środowiska pracy Część można utworzyć przy pomocy następującej funkcji:
Walec środowiska pracy Część można utworzyć przy pomocy następującej funkcji:
</div>


{{Code|code=
{{Code|code=
Line 54: Line 88:
* Gdzie parametr {{Incode|"myCylinder"}} jest etykietą dla obiektu.
* Gdzie parametr {{Incode|"myCylinder"}} jest etykietą dla obiektu.
* Funkcja zwraca nowo utworzony obiekt.
* Funkcja zwraca nowo utworzony obiekt.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()
}}




Line 65: Line 114:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 09:50, 3 March 2022

Część: Walec

Lokalizacja w menu
Część → Bryła pierwotna → Walec
Środowisko pracy
Część
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Bryły pierwotne

Opis

Tworzy zwykły walec, z parametrami dotyczącymi jego położenia, kąta, promienia i wysokości.

A Part Cylinder can be turned into a segment of a cylinder by changing its DANEAngle property.

Użycie

  1. Otwórz środowisko pracy Część.
  2. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Walec na pasku narzędzi,
    • Użyj pozycji menu głównego Część → Bryła pierwotna → Walec.

Example

Part Cylinder from the scripting example

A Part Cylinder object created with the scripting example below is shown here.

Notes

  • A Part Cylinder can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Właściwości

See also: Property editor.

A Part Cylinder object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cylinder

  • DANEKąt: Jest to kąt obrotu, który umożliwia utworzenie części walca (domyślnie ustawiony jest na 360°).
  • DANEWysokość: Wysokość to odległość w kierunku osi z.
  • DANEPromień: Promień definiuje płaszczyznę w płaszczyźnie x-y.
  • DANEKąt pierwszy: Kąt w pierwszym kierunku dostępne w wersji 0.20.
  • DANEKąt drugi: Kąt w drugim kierunku dostępne w wersji 0.20.

Prism

  • DANEFirst Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20
  • DANESecond Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20

Tworzenie skryptów

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

Walec środowiska pracy Część można utworzyć przy pomocy następującej funkcji:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Gdzie parametr "myCylinder" jest etykietą dla obiektu.
  • Funkcja zwraca nowo utworzony obiekt.

Example:

import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()